Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Class Native

    java.lang.Object
      com.sun.squawk.vm.Native

    public final class Native

extends Object

This class defines the native method identifiers used in the Squawk system. It was automatically generated as a part of the build process and should not be edited by hand.

Author:
  Nik Shaylor, Doug Simon

Field Summary
`static int` | `com_sun_squawk_Address$add`
`static int` | `com_sun_squawk_Address$addOffset`
`static int` | `com_sun_squawk_Address$and`
`static int` | `com_sun_squawk_Address$diff`
`static int` | `com_sun_squawk_Address$eq`
`static int` | `com_sun_squawk_Address$fromObject`
`static int` | `com_sun_squawk_Address$fromPrimitive`
`static int` | `com_sun_squawk_Address$hi`
`static int` | `com_sun_squawk_Address$hieq`
`static int` | `com_sun_squawk_Address$isMax`
`static int` | `com_sun_squawk_Address$isZero`
`static int` | `com_sun_squawk_Address$lo`
`static int` | `com_sun_squawk_Address$loeq`
`static int` | `com_sun_squawk_Address$max`
`static int` | `com_sun_squawk_Address$ne`
`static int` | `com_sun_squawk_Address$or`
`static int` | `com_sun_squawk_Address$roundDown`
`static int` | `com_sun_squawk_Address$roundDownToWord`
`static int` | `com_sun_squawk_Address$roundUp`
`static int` | `com_sun_squawk_Address$roundUpToWord`
`static int` | `com_sun_squawk_Address$sub`
`static int` | `com_sun_squawk_Address$subOffset`
`static int` | `com_sun_squawk_Address$toObject`
`static int` | `com_sun_squawk_Address$toUWord`
`static int` | `com_sun_squawk_Address$zero`
`static int` | `com_sun_squawk_CheneyCollector$memoryProtect`
`static int` | `com_sun_squawk_GarbageCollector$collectGarbageInC`
`static int` | `com_sun_squawk_GarbageCollector$copyObjectGraphInC`
`static int` | `com_sun_squawk_GarbageCollector$hasNativeImplementation`
`static int` | `com_sun_squawk_Lisp2Bitmap$clearBitFor`
`static int` | `com_sun_squawk_Lisp2Bitmap$clearBitsFor`
`static int` | `com_sun_squawk_Lisp2Bitmap$getAddressForBitmapWord`
`static int` | `com_sun_squawk_Lisp2Bitmap$getAddressOfBitmapWordFor`
`static int` | `com_sun_squawk_Lisp2Bitmap$initialize`
`static int` | `com_sun_squawk_Lisp2Bitmap$iterate`
`static int` | `com_sun_squawk_Lisp2Bitmap$setBitFor`
`static int` | `com_sun_squawk_Lisp2Bitmap$setBitsFor`
`static int` | `com_sun_squawk_Lisp2Bitmap$testAndSetBitFor`
`static int` | `com_sun_squawk_Lisp2Bitmap$testBitFor`
`static int` | `com_sun_squawk_NativeUnsafe$call0`
`static int` | `com_sun_squawk_NativeUnsafe$call1`
`static int` | `com_sun_squawk_NativeUnsafe$call10`
`static int` | `com_sun_squawk_NativeUnsafe$call2`
`static int` | `com_sun_squawk_NativeUnsafe$call3`
`static int` | `com_sun_squawk_NativeUnsafe$call4`
`static int` | `com_sun_squawk_NativeUnsafe$call5`
`static int` | `com_sun_squawk_NativeUnsafe$call6`
`static int` | `com_sun_squawk_NativeUnsafe$call7`
`static int` | `com_sun_squawk_NativeUnsafe$call8`
`static int` | `com_sun_squawk_NativeUnsafe$call9`
`static int` | `com_sun_squawk_NativeUnsafe$cancelTaskExecutor`
`static int` | `com_sun_squawk_NativeUnsafe$charAt`
`static int` | `com_sun_squawk_NativeUnsafe$copyTypes`
`static int` | `com_sun_squawk_NativeUnsafe$createTaskExecutor`
`static int` | `com_sun_squawk_NativeUnsafe$deleteNativeTask`
`static int` | `com_sun_squawk_NativeUnsafe$deleteTaskExecutor`
`static int` | `com_sun_squawk_NativeUnsafe$free`
`static int` | `com_sun_squawk_NativeUnsafe$getAddress`
`static int` | `com_sun_squawk_NativeUnsafe$getAsByte`
`static int` | `com_sun_squawk_NativeUnsafe$getAsInt`
`static int` | `com_sun_squawk_NativeUnsafe$getAsShort`
`static int` | `com_sun_squawk_NativeUnsafe$getAsUWord`
`static int` | `com_sun_squawk_NativeUnsafe$getByte`
`static int` | `com_sun_squawk_NativeUnsafe$getChar`
`static int` | `com_sun_squawk_NativeUnsafe$getInt`
`static int` | `com_sun_squawk_NativeUnsafe$getLong`
`static int` | `com_sun_squawk_NativeUnsafe$getLongAtWord`
`static int` | `com_sun_squawk_NativeUnsafe$getObject`
`static int` | `com_sun_squawk_NativeUnsafe$getShort`
`static int` | `com_sun_squawk_NativeUnsafe$getType`
`static int` | `com_sun_squawk_NativeUnsafe$getUnalignedInt`
`static int` | `com_sun_squawk_NativeUnsafe$getUnalignedLong`
`static int` | `com_sun_squawk_NativeUnsafe$getUnalignedShort`
`static int` | `com_sun_squawk_NativeUnsafe$getUWord`
`static int` | `com_sun_squawk_NativeUnsafe$malloc`
`static int` | `com_sun_squawk_NativeUnsafe$runBlockingFunctionOn`
`static int` | `com_sun_squawk_NativeUnsafe$setAddress`
`static int` | `com_sun_squawk_NativeUnsafe$setArrayTypes`
`static int` | `com_sun_squawk_NativeUnsafe$setByte`
`static int` | `com_sun_squawk_NativeUnsafe$setChar`
`static int` | `com_sun_squawk_NativeUnsafe$setInt`
`static int` | `com_sun_squawk_NativeUnsafe$setLong`
`static int` | `com_sun_squawk_NativeUnsafe$setLongAtWord`
`static int` | `com_sun_squawk_NativeUnsafe$setObject`
`static int` | `com_sun_squawk_NativeUnsafe$setShort`
`static int` | `com_sun_squawk_NativeUnsafe$setType`
`static int` | `com_sun_squawk_NativeUnsafe$setUnalignedInt`
`static int` | `com_sun_squawk_NativeUnsafe$setUnalignedLong`
`static int` | `com_sun_squawk_NativeUnsafe$setUnalignedShort`
`static int` | `com_sun_squawk_NativeUnsafe$setUWord`
`static int` | `com_sun_squawk_NativeUnsafe$swap`
`static int` | `com_sun_squawk_NativeUnsafe$swap2`
`static int` | `com_sun_squawk_NativeUnsafe$swap4`
`static int` | `com_sun_squawk_NativeUnsafe$swap8`
`static int` | `com_sun_squawk_Offset$add`
`static int` | `com_sun_squawk_Offset$bytesToWords`
`static int` | `com_sun_squawk_Offset$eq`
`static int` | `com_sun_squawk_Offset$fromPrimitive`
`static int` | `com_sun_squawk_Offset$ge`
`static int` | `com_sun_squawk_Offset$gt`
`static int` | `com_sun_squawk_Offset$isZero`
`static int` | `com_sun_squawk_Offset$le`
`static int` | `com_sun_squawk_Offset$lt`
`static int` | `com_sun_squawk_Offset$ne`
`static int` | `com_sun_squawk_Offset$sub`
`static int` | `com_sun_squawk_Offset$toInt`
`static int` | `com_sun_squawk_Offset$toPrimitive`
`static int` | `com_sun_squawk_Offset$toUWord`
`static int` | `com_sun_squawk_Offset$wordsToBytes`
`static int` | `com_sun_squawk_Offset$zero`
`static int` | `com_sun_squawk_ServiceOperation$cioExecute`
`static int` | `com_sun_squawk_UWord$and`
`static int` | `com_sun_squawk_UWord$eq`
`static int` | `com_sun_squawk_UWord$fromPrimitive`
`static int` | `com_sun_squawk_UWord$hi`
`static int` | `com_sun_squawk_UWord$hieq`
`static int` | `com_sun_squawk_UWord$isMax`
`static int` | `com_sun_squawk_UWord$isZero`
`static int` | `com_sun_squawk_UWord$lo`
`static int` | `com_sun_squawk_UWord$loeq`
`static int` | `com_sun_squawk_UWord$max`
`static int` | `com_sun_squawk_UWord$ne`
`static int` | `com_sun_squawk_UWord$or`
`static int` | `com_sun_squawk_UWord$toInt`
`static int` | `com_sun_squawk_UWord$toOffset`
`static int` | `com_sun_squawk_UWord$toPrimitive`
`static int` | `com_sun_squawk_UWord$zero`
`static int` | `com_sun_squawk_VM$addressResult`
`static int` | `com_sun_squawk_VM$addToClassStateCache`
`static int` | `com_sun_squawk_VM$allocate`
`static int` | `com_sun_squawk_VM$asKlass`
`static int` | `com_sun_squawk_VM$callStaticNoParm`
`static int` | `com_sun_squawk_VM$callStaticOneParm`
`static int` | `com_sun_squawk_VM$copyBytes`
`static int` | `com_sun_squawk_VM$deadbeef`
`static int` | `com_sun_squawk_VM$doubleToLongBits`
`static int` | `com_sun_squawk_VM$executeCIO`
`static int` | `com_sun_squawk_VM$executeCOG`
`static int` | `com_sun_squawk_VM$executeGC`
`static int` | `com_sun_squawk_VM$fatalVMError`
`static int` | `com_sun_squawk_VM$finalize`
`static int` | `com_sun_squawk_VM$floatToIntBits`
`static int` | `com_sun_squawk_VM$getBranchCount`
`static int` | `com_sun_squawk_VM$getFP`
`static int` | `com_sun_squawk_VM$getGlobalAddr`
`static int` | `com_sun_squawk_VM$getGlobalAddrCount`
`static int` | `com_sun_squawk_VM$getGlobalInt`
`static int` | `com_sun_squawk_VM$getGlobalIntCount`
`static int` | `com_sun_squawk_VM$getGlobalOop`
`static int` | `com_sun_squawk_VM$getGlobalOopCount`
`static int` | `com_sun_squawk_VM$getGlobalOopTable`
`static int` | `com_sun_squawk_VM$getMP`
`static int` | `com_sun_squawk_VM$getPreviousFP`
`static int` | `com_sun_squawk_VM$getPreviousIP`
`static int` | `com_sun_squawk_VM$hashcode`
`static int` | `com_sun_squawk_VM$hasVirtualMonitorObject`
`static int` | `com_sun_squawk_VM$intBitsToFloat`
`static int` | `com_sun_squawk_VM$invalidateClassStateCache`
`static int` | `com_sun_squawk_VM$isBigEndian`
`static int` | `com_sun_squawk_VM$lcmp`
`static int` | `com_sun_squawk_VM$longBitsToDouble`
`static int` | `com_sun_squawk_VM$math`
`static int` | `com_sun_squawk_VM$removeVirtualMonitorObject`
`static int` | `com_sun_squawk_VM$serviceResult`
`static int` | `com_sun_squawk_VM$setBytes`
`static int` | `com_sun_squawk_VM$setGlobalAddr`
`static int` | `com_sun_squawk_VM$setGlobalInt`
`static int` | `com_sun_squawk_VM$setGlobalOop`
`static int` | `com_sun_squawk_VM$setPreviousFP`
`static int` | `com_sun_squawk_VM$setPreviousIP`
`static int` | `com_sun_squawk_VM$threadSwitch`
`static int` | `com_sun_squawk_VM$zeroWords`
`static int` | `ENTRY_COUNT`
`static String` | `LINKABLE_NATIVE_METHODS` An encoded table of the native methods that can be linked to during class loading at runtime.

Constructor Summary
`Native()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### com_sun_squawk_Address$add

    public static final int com_sun_squawk_Address$add

See Also:
  Constant Field Values

### com_sun_squawk_Address$addOffset

    public static final int com_sun_squawk_Address$addOffset

See Also:
  Constant Field Values

### com_sun_squawk_Address$and

    public static final int com_sun_squawk_Address$and

See Also:
  Constant Field Values

### com_sun_squawk_Address$diff

    public static final int com_sun_squawk_Address$diff

See Also:
  Constant Field Values

### com_sun_squawk_Address$eq

    public static final int com_sun_squawk_Address$eq

See Also:
  Constant Field Values

### com_sun_squawk_Address$fromObject

    public static final int com_sun_squawk_Address$fromObject

See Also:
  Constant Field Values

### com_sun_squawk_Address$fromPrimitive

    public static final int com_sun_squawk_Address$fromPrimitive

See Also:
  Constant Field Values

### com_sun_squawk_Address$hi

    public static final int com_sun_squawk_Address$hi

See Also:
  Constant Field Values

### com_sun_squawk_Address$hieq

    public static final int com_sun_squawk_Address$hieq

See Also:
  Constant Field Values

### com_sun_squawk_Address$isMax

    public static final int com_sun_squawk_Address$isMax

See Also:
  Constant Field Values

### com_sun_squawk_Address$isZero

    public static final int com_sun_squawk_Address$isZero

See Also:
  Constant Field Values

### com_sun_squawk_Address$lo

    public static final int com_sun_squawk_Address$lo

See Also:
  Constant Field Values

### com_sun_squawk_Address$loeq

    public static final int com_sun_squawk_Address$loeq

See Also:
  Constant Field Values

### com_sun_squawk_Address$max

    public static final int com_sun_squawk_Address$max

See Also:
  Constant Field Values

### com_sun_squawk_Address$ne

    public static final int com_sun_squawk_Address$ne

See Also:
  Constant Field Values

### com_sun_squawk_Address$or

    public static final int com_sun_squawk_Address$or

See Also:
  Constant Field Values

### com_sun_squawk_Address$roundDown

    public static final int com_sun_squawk_Address$roundDown

See Also:
  Constant Field Values

### com_sun_squawk_Address$roundDownToWord

    public static final int com_sun_squawk_Address$roundDownToWord

See Also:
  Constant Field Values

### com_sun_squawk_Address$roundUp

    public static final int com_sun_squawk_Address$roundUp

See Also:
  Constant Field Values

### com_sun_squawk_Address$roundUpToWord

    public static final int com_sun_squawk_Address$roundUpToWord

See Also:
  Constant Field Values

### com_sun_squawk_Address$sub

    public static final int com_sun_squawk_Address$sub

See Also:
  Constant Field Values

### com_sun_squawk_Address$subOffset

    public static final int com_sun_squawk_Address$subOffset

See Also:
  Constant Field Values

### com_sun_squawk_Address$toObject

    public static final int com_sun_squawk_Address$toObject

See Also:
  Constant Field Values

### com_sun_squawk_Address$toUWord

    public static final int com_sun_squawk_Address$toUWord

See Also:
  Constant Field Values

### com_sun_squawk_Address$zero

    public static final int com_sun_squawk_Address$zero

See Also:
  Constant Field Values

### com_sun_squawk_UWord$and

    public static final int com_sun_squawk_UWord$and

See Also:
  Constant Field Values

### com_sun_squawk_UWord$eq

    public static final int com_sun_squawk_UWord$eq

See Also:
  Constant Field Values

### com_sun_squawk_UWord$fromPrimitive

    public static final int com_sun_squawk_UWord$fromPrimitive

See Also:
  Constant Field Values

### com_sun_squawk_UWord$hi

    public static final int com_sun_squawk_UWord$hi

See Also:
  Constant Field Values

### com_sun_squawk_UWord$hieq

    public static final int com_sun_squawk_UWord$hieq

See Also:
  Constant Field Values

### com_sun_squawk_UWord$isMax

    public static final int com_sun_squawk_UWord$isMax

See Also:
  Constant Field Values

### com_sun_squawk_UWord$isZero

    public static final int com_sun_squawk_UWord$isZero

See Also:
  Constant Field Values

### com_sun_squawk_UWord$lo

    public static final int com_sun_squawk_UWord$lo

See Also:
  Constant Field Values

### com_sun_squawk_UWord$loeq

    public static final int com_sun_squawk_UWord$loeq

See Also:
  Constant Field Values

### com_sun_squawk_UWord$max

    public static final int com_sun_squawk_UWord$max

See Also:
  Constant Field Values

### com_sun_squawk_UWord$ne

    public static final int com_sun_squawk_UWord$ne

See Also:
  Constant Field Values

### com_sun_squawk_UWord$or

    public static final int com_sun_squawk_UWord$or

See Also:
  Constant Field Values

### com_sun_squawk_UWord$toInt

    public static final int com_sun_squawk_UWord$toInt

See Also:
  Constant Field Values

### com_sun_squawk_UWord$toOffset

    public static final int com_sun_squawk_UWord$toOffset

See Also:
  Constant Field Values

### com_sun_squawk_UWord$toPrimitive

    public static final int com_sun_squawk_UWord$toPrimitive

See Also:
  Constant Field Values

### com_sun_squawk_UWord$zero

    public static final int com_sun_squawk_UWord$zero

See Also:
  Constant Field Values

### com_sun_squawk_Offset$add

    public static final int com_sun_squawk_Offset$add

See Also:
  Constant Field Values

### com_sun_squawk_Offset$bytesToWords

    public static final int com_sun_squawk_Offset$bytesToWords

See Also:
  Constant Field Values

### com_sun_squawk_Offset$eq

    public static final int com_sun_squawk_Offset$eq

See Also:
  Constant Field Values

### com_sun_squawk_Offset$fromPrimitive

    public static final int com_sun_squawk_Offset$fromPrimitive

See Also:
  Constant Field Values

### com_sun_squawk_Offset$ge

    public static final int com_sun_squawk_Offset$ge

See Also:
  Constant Field Values

### com_sun_squawk_Offset$gt

    public static final int com_sun_squawk_Offset$gt

See Also:
  Constant Field Values

### com_sun_squawk_Offset$isZero

    public static final int com_sun_squawk_Offset$isZero

See Also:
  Constant Field Values

### com_sun_squawk_Offset$le

    public static final int com_sun_squawk_Offset$le

See Also:
  Constant Field Values

### com_sun_squawk_Offset$lt

    public static final int com_sun_squawk_Offset$lt

See Also:
  Constant Field Values

### com_sun_squawk_Offset$ne

    public static final int com_sun_squawk_Offset$ne

See Also:
  Constant Field Values

### com_sun_squawk_Offset$sub

    public static final int com_sun_squawk_Offset$sub

See Also:
  Constant Field Values

### com_sun_squawk_Offset$toInt

    public static final int com_sun_squawk_Offset$toInt

See Also:
  Constant Field Values

### com_sun_squawk_Offset$toPrimitive

    public static final int com_sun_squawk_Offset$toPrimitive

See Also:
  Constant Field Values

### com_sun_squawk_Offset$toUWord

    public static final int com_sun_squawk_Offset$toUWord

See Also:
  Constant Field Values

### com_sun_squawk_Offset$wordsToBytes

    public static final int com_sun_squawk_Offset$wordsToBytes

See Also:
  Constant Field Values

### com_sun_squawk_Offset$zero

    public static final int com_sun_squawk_Offset$zero

See Also:
  Constant Field Values

### LINKABLE_NATIVE_METHODS

    public static final String LINKABLE_NATIVE_METHODS

  An encoded table of the native methods that can be linked to during class loading at runtime. Each entry in the table is a length 'n' (encoded as a char relative to '0') followed by one or more characters 'chars' delimited by a space character. The index of the entry is the native method identifier and the name of the native method is constructed from the first 'n' characters of the name of the previous method concatenated with 'chars'.

  See Also:
    Constant Field Values

### com_sun_squawk_NativeUnsafe$call0

    public static final int com_sun_squawk_NativeUnsafe$call0

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call1

    public static final int com_sun_squawk_NativeUnsafe$call1

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call10

    public static final int com_sun_squawk_NativeUnsafe$call10

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call2

    public static final int com_sun_squawk_NativeUnsafe$call2

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call3

    public static final int com_sun_squawk_NativeUnsafe$call3

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call4

    public static final int com_sun_squawk_NativeUnsafe$call4

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call5

    public static final int com_sun_squawk_NativeUnsafe$call5

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call6

    public static final int com_sun_squawk_NativeUnsafe$call6

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call7

    public static final int com_sun_squawk_NativeUnsafe$call7

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call8

    public static final int com_sun_squawk_NativeUnsafe$call8

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$call9

    public static final int com_sun_squawk_NativeUnsafe$call9

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$cancelTaskExecutor

    public static final int com_sun_squawk_NativeUnsafe$cancelTaskExecutor

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$charAt

    public static final int com_sun_squawk_NativeUnsafe$charAt

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$copyTypes

    public static final int com_sun_squawk_NativeUnsafe$copyTypes

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$createTaskExecutor

    public static final int com_sun_squawk_NativeUnsafe$createTaskExecutor

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$deleteNativeTask

    public static final int com_sun_squawk_NativeUnsafe$deleteNativeTask

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$deleteTaskExecutor

    public static final int com_sun_squawk_NativeUnsafe$deleteTaskExecutor

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$free

    public static final int com_sun_squawk_NativeUnsafe$free

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getAddress

    public static final int com_sun_squawk_NativeUnsafe$getAddress

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getAsByte

    public static final int com_sun_squawk_NativeUnsafe$getAsByte

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getAsInt

    public static final int com_sun_squawk_NativeUnsafe$getAsInt

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getAsShort

    public static final int com_sun_squawk_NativeUnsafe$getAsShort

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getAsUWord

    public static final int com_sun_squawk_NativeUnsafe$getAsUWord

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getByte

    public static final int com_sun_squawk_NativeUnsafe$getByte

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getChar

    public static final int com_sun_squawk_NativeUnsafe$getChar

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getInt

    public static final int com_sun_squawk_NativeUnsafe$getInt

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getLong

    public static final int com_sun_squawk_NativeUnsafe$getLong

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getLongAtWord

    public static final int com_sun_squawk_NativeUnsafe$getLongAtWord

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getObject

    public static final int com_sun_squawk_NativeUnsafe$getObject

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getShort

    public static final int com_sun_squawk_NativeUnsafe$getShort

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getType

    public static final int com_sun_squawk_NativeUnsafe$getType

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getUWord

    public static final int com_sun_squawk_NativeUnsafe$getUWord

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getUnalignedInt

    public static final int com_sun_squawk_NativeUnsafe$getUnalignedInt

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getUnalignedLong

    public static final int com_sun_squawk_NativeUnsafe$getUnalignedLong

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$getUnalignedShort

    public static final int com_sun_squawk_NativeUnsafe$getUnalignedShort

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$malloc

    public static final int com_sun_squawk_NativeUnsafe$malloc

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$runBlockingFunctionOn

    public static final int com_sun_squawk_NativeUnsafe$runBlockingFunctionOn

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setAddress

    public static final int com_sun_squawk_NativeUnsafe$setAddress

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setArrayTypes

    public static final int com_sun_squawk_NativeUnsafe$setArrayTypes

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setByte

    public static final int com_sun_squawk_NativeUnsafe$setByte

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setChar

    public static final int com_sun_squawk_NativeUnsafe$setChar

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setInt

    public static final int com_sun_squawk_NativeUnsafe$setInt

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setLong

    public static final int com_sun_squawk_NativeUnsafe$setLong

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setLongAtWord

    public static final int com_sun_squawk_NativeUnsafe$setLongAtWord

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setObject

    public static final int com_sun_squawk_NativeUnsafe$setObject

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setShort

    public static final int com_sun_squawk_NativeUnsafe$setShort

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setType

    public static final int com_sun_squawk_NativeUnsafe$setType

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setUWord

    public static final int com_sun_squawk_NativeUnsafe$setUWord

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setUnalignedInt

    public static final int com_sun_squawk_NativeUnsafe$setUnalignedInt

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setUnalignedLong

    public static final int com_sun_squawk_NativeUnsafe$setUnalignedLong

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$setUnalignedShort

    public static final int com_sun_squawk_NativeUnsafe$setUnalignedShort

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$swap

    public static final int com_sun_squawk_NativeUnsafe$swap

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$swap2

    public static final int com_sun_squawk_NativeUnsafe$swap2

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$swap4

    public static final int com_sun_squawk_NativeUnsafe$swap4

See Also:
  Constant Field Values

### com_sun_squawk_NativeUnsafe$swap8

    public static final int com_sun_squawk_NativeUnsafe$swap8

See Also:
  Constant Field Values

### com_sun_squawk_VM$addToClassStateCache

    public static final int com_sun_squawk_VM$addToClassStateCache

See Also:
  Constant Field Values

### com_sun_squawk_VM$addressResult

    public static final int com_sun_squawk_VM$addressResult

See Also:
  Constant Field Values

### com_sun_squawk_VM$allocate

    public static final int com_sun_squawk_VM$allocate

See Also:
  Constant Field Values

### com_sun_squawk_VM$asKlass

    public static final int com_sun_squawk_VM$asKlass

See Also:
  Constant Field Values

### com_sun_squawk_VM$callStaticNoParm

    public static final int com_sun_squawk_VM$callStaticNoParm

See Also:
  Constant Field Values

### com_sun_squawk_VM$callStaticOneParm

    public static final int com_sun_squawk_VM$callStaticOneParm

See Also:
  Constant Field Values

### com_sun_squawk_VM$copyBytes

    public static final int com_sun_squawk_VM$copyBytes

See Also:
  Constant Field Values

### com_sun_squawk_VM$deadbeef

    public static final int com_sun_squawk_VM$deadbeef

See Also:
  Constant Field Values

### com_sun_squawk_VM$doubleToLongBits

    public static final int com_sun_squawk_VM$doubleToLongBits

See Also:
  Constant Field Values

### com_sun_squawk_VM$executeCIO

    public static final int com_sun_squawk_VM$executeCIO

See Also:
  Constant Field Values

### com_sun_squawk_VM$executeCOG

    public static final int com_sun_squawk_VM$executeCOG

See Also:
  Constant Field Values

### com_sun_squawk_VM$executeGC

    public static final int com_sun_squawk_VM$executeGC

See Also:
  Constant Field Values

### com_sun_squawk_VM$fatalVMError

    public static final int com_sun_squawk_VM$fatalVMError

See Also:
  Constant Field Values

### com_sun_squawk_VM$finalize

    public static final int com_sun_squawk_VM$finalize

See Also:
  Constant Field Values

### com_sun_squawk_VM$floatToIntBits

    public static final int com_sun_squawk_VM$floatToIntBits

See Also:
  Constant Field Values

### com_sun_squawk_VM$getBranchCount

    public static final int com_sun_squawk_VM$getBranchCount

See Also:
  Constant Field Values

### com_sun_squawk_VM$getFP

    public static final int com_sun_squawk_VM$getFP

See Also:
  Constant Field Values

### com_sun_squawk_VM$getGlobalAddr

    public static final int com_sun_squawk_VM$getGlobalAddr

See Also:
  Constant Field Values

### com_sun_squawk_VM$getGlobalAddrCount

    public static final int com_sun_squawk_VM$getGlobalAddrCount

See Also:
  Constant Field Values

### com_sun_squawk_VM$getGlobalInt

    public static final int com_sun_squawk_VM$getGlobalInt

See Also:
  Constant Field Values

### com_sun_squawk_VM$getGlobalIntCount

    public static final int com_sun_squawk_VM$getGlobalIntCount

See Also:
  Constant Field Values

### com_sun_squawk_VM$getGlobalOop

    public static final int com_sun_squawk_VM$getGlobalOop

See Also:
  Constant Field Values

### com_sun_squawk_VM$getGlobalOopCount

    public static final int com_sun_squawk_VM$getGlobalOopCount

See Also:
  Constant Field Values

### com_sun_squawk_VM$getGlobalOopTable

    public static final int com_sun_squawk_VM$getGlobalOopTable

See Also:
  Constant Field Values

### com_sun_squawk_VM$getMP

    public static final int com_sun_squawk_VM$getMP

See Also:
  Constant Field Values

### com_sun_squawk_VM$getPreviousFP

    public static final int com_sun_squawk_VM$getPreviousFP

See Also:
  Constant Field Values

### com_sun_squawk_VM$getPreviousIP

    public static final int com_sun_squawk_VM$getPreviousIP

See Also:
  Constant Field Values

### com_sun_squawk_VM$hasVirtualMonitorObject

    public static final int com_sun_squawk_VM$hasVirtualMonitorObject

See Also:
  Constant Field Values

### com_sun_squawk_VM$hashcode

    public static final int com_sun_squawk_VM$hashcode

See Also:
  Constant Field Values

### com_sun_squawk_VM$intBitsToFloat

    public static final int com_sun_squawk_VM$intBitsToFloat

See Also:
  Constant Field Values

### com_sun_squawk_VM$invalidateClassStateCache

    public static final int com_sun_squawk_VM$invalidateClassStateCache

See Also:
  Constant Field Values

### com_sun_squawk_VM$isBigEndian

    public static final int com_sun_squawk_VM$isBigEndian

See Also:
  Constant Field Values

### com_sun_squawk_VM$longBitsToDouble

    public static final int com_sun_squawk_VM$longBitsToDouble

See Also:
  Constant Field Values

### com_sun_squawk_VM$math

    public static final int com_sun_squawk_VM$math

See Also:
  Constant Field Values

### com_sun_squawk_VM$removeVirtualMonitorObject

    public static final int com_sun_squawk_VM$removeVirtualMonitorObject

See Also:
  Constant Field Values

### com_sun_squawk_VM$serviceResult

    public static final int com_sun_squawk_VM$serviceResult

See Also:
  Constant Field Values

### com_sun_squawk_VM$setBytes

    public static final int com_sun_squawk_VM$setBytes

See Also:
  Constant Field Values

### com_sun_squawk_VM$setGlobalAddr

    public static final int com_sun_squawk_VM$setGlobalAddr

See Also:
  Constant Field Values

### com_sun_squawk_VM$setGlobalInt

    public static final int com_sun_squawk_VM$setGlobalInt

See Also:
  Constant Field Values

### com_sun_squawk_VM$setGlobalOop

    public static final int com_sun_squawk_VM$setGlobalOop

See Also:
  Constant Field Values

### com_sun_squawk_VM$setPreviousFP

    public static final int com_sun_squawk_VM$setPreviousFP

See Also:
  Constant Field Values

### com_sun_squawk_VM$setPreviousIP

    public static final int com_sun_squawk_VM$setPreviousIP

See Also:
  Constant Field Values

### com_sun_squawk_VM$threadSwitch

    public static final int com_sun_squawk_VM$threadSwitch

See Also:
  Constant Field Values

### com_sun_squawk_VM$zeroWords

    public static final int com_sun_squawk_VM$zeroWords

See Also:
  Constant Field Values

### com_sun_squawk_CheneyCollector$memoryProtect

    public static final int com_sun_squawk_CheneyCollector$memoryProtect

See Also:
  Constant Field Values

### com_sun_squawk_ServiceOperation$cioExecute

    public static final int com_sun_squawk_ServiceOperation$cioExecute

See Also:
  Constant Field Values

### com_sun_squawk_GarbageCollector$collectGarbageInC

    public static final int com_sun_squawk_GarbageCollector$collectGarbageInC

See Also:
  Constant Field Values

### com_sun_squawk_GarbageCollector$copyObjectGraphInC

    public static final int com_sun_squawk_GarbageCollector$copyObjectGraphInC

See Also:
  Constant Field Values

### com_sun_squawk_GarbageCollector$hasNativeImplementation

    public static final int com_sun_squawk_GarbageCollector$hasNativeImplementation

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$clearBitFor

    public static final int com_sun_squawk_Lisp2Bitmap$clearBitFor

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$clearBitsFor

    public static final int com_sun_squawk_Lisp2Bitmap$clearBitsFor

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$getAddressForBitmapWord

    public static final int com_sun_squawk_Lisp2Bitmap$getAddressForBitmapWord

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$getAddressOfBitmapWordFor

    public static final int com_sun_squawk_Lisp2Bitmap$getAddressOfBitmapWordFor

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$initialize

    public static final int com_sun_squawk_Lisp2Bitmap$initialize

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$iterate

    public static final int com_sun_squawk_Lisp2Bitmap$iterate

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$setBitFor

    public static final int com_sun_squawk_Lisp2Bitmap$setBitFor

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$setBitsFor

    public static final int com_sun_squawk_Lisp2Bitmap$setBitsFor

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$testAndSetBitFor

    public static final int com_sun_squawk_Lisp2Bitmap$testAndSetBitFor

See Also:
  Constant Field Values

### com_sun_squawk_Lisp2Bitmap$testBitFor

    public static final int com_sun_squawk_Lisp2Bitmap$testBitFor

See Also:
  Constant Field Values

### com_sun_squawk_VM$lcmp

    public static final int com_sun_squawk_VM$lcmp

See Also:
  Constant Field Values

### ENTRY_COUNT

    public static final int ENTRY_COUNT

See Also:
  Constant Field Values

Constructor Detail

### Native

    public Native()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"